//
//  adrbook.cpp  --  part of LNFC library
//
//  Implementation of classes
//    - Address_book
//    - Personal_address_book
//
//  Written by Evseev at Jun 2001
//

#include "adrbook.h"
#include "directory.h"

#include "_lnfc.h"

#include <osmem.h>    // OSLock, OSUnlock, OSMemFree
#include <lookup.h>   // NAMEGetAddressBooks
#include <niferr.h>   // ERR_USER_NOT_FOUND


//---------------------------------------------------------------------


Personal_address_book::Personal_address_book(
    const Directory &userdir, bool open_now)
  :
    SmPtr2(reinterpret_cast<Personal_address_book_d*>(
        &*userdir->get_database(dbPATH "names.nsf", open_now)))
{
}


//---------------------------------------------------------------------


// EOF
