#
#  Makefile  --  part of LNFC library
#
#  Rules for building LNFC using Borland C++ 5.5 under Win32
#
#  Written at Jun 2001 by Evseev
#

CC = bcc32
CC_PP = bcc32
CFLAGS = -v -y -w-pck -IC:\Lotus\NotesAPI.462\Include -x- -D_RWSTD_NO_EXCEPTIONS
CPPFLAGS = $(CFLAGS)

LD = bcc32
LDFLAGS  = -v -y

OBJ = .obj
EXE = .exe
ALL_SRCFILES = $**
TARGET_OPTION =

!include common.mak
!include deps.mak

lib :  nobject.obj \
       nstring.obj \
       nname.obj \
       dbpath.obj \
       database.obj \
       document.obj \
       timedate.obj \
       field.obj \
       formula.obj \
       adrbook.obj \
       abooks.obj \
       location.obj \
       adminrq.obj \
       acl.obj \
       notesini.obj \
       directory.obj \
       view.obj
	tlib lnfc /P32 @&&|
-+nsession &
-+nobject &
-+nstring &
-+nname &
-+dbpath &
-+database &
-+document &
-+timedate &
-+field &
-+formula &
-+adrbook &
-+abooks &
-+location &
-+adminrq &
-+acl &
-+notesini &
-+directory &
-+view
|

clean:
	del *.obj
	del *.tds
	del *.tr2

cleanall: clean
	del *.exe

## EOF ##
