#!/usr/bin/make -f
#
#   Makefile  --  part of LNFC library
#
#   Rules for building LNFC using GCC under GNU/Linux
#
#   Written at Aug 2001, Feb 2003 by evseev@ucvt.ru
#

LOTUS    = /opt/lotus
DEFINES  = -DHANDLE_IS_32BITS 
INCDIR   = $(LOTUS)/notesapi/include
LIBS     = -L$(LOTUS)/bin -lnotes -lm -lnsl -lpthread -lc -lresolv -ldl

CC       = cc
CC_PP    = c++
CFLAGS   = -g -I$(INCDIR) $(DEFINES) -D__CONSOLE__
CPPFLAGS = $(CFLAGS)

LD       = c++
LDFLAGS  = -g $(LIBS)

OBJ = .o
EXE =
ALL_SRCFILES = $^
TARGET_OPTION = -o $@

LIB_H = _lnfc.h

include common.mak
include deps.mak

clean:
	rm *$(OBJ)

cleanall: clean
	rm *_test

## EOF ##
