// Macros to simplify typecast. Example: Database db(dbPATH "Smith");
#define nSTR       (Notes_string)
#define nNAME      (Notes_name)
#define nNAMESTR   nNAME nSTR
#define dbPATH     (Database_path)
#define dbPATHSTR  dbPATH nSTR


//---------------------------------------------------------------------


class Mailbox;


class Mailbox_d : public Database_d
{

protected:

    friend Mailbox;

    Mailbox_d(Document &person);

};


class Mailbox : public Smart_pointer2<Database, Mailbox_d>
{

public:

    Mailbox(Document &person)
      : SmPtr2(new Mailbox_d(person))
    { }

};


//---------------------------------------------------------------------


#endif // ifndef __LNFC_H

// EOF
