//
//  nsession.h  --  part of LNFC library
//
//  Initialization of LNFC library : attach to Notes DBMS
//
//  Written by Evseev at Jun 2001
//

#ifndef  __LNFC_NSESSION_H
#define  __LNFC_NSESSION_H

extern "C" int Init_Notes_runtime(int argc, const char *const argv[]);

#if defined(__CONSOLE__)

#include <fstream.h>   // cerr

#define INIT_NOTES_RUNTIME() \
        do { \
            int i = Init_Notes_runtime(argc, argv); \
            if (i != 0) { \
                cerr << "Error: cannot initialize Notes, result = " << i << endl; \
                return i; \
            } \
        } while(0)

#else

#	error INIT_NOTES_RUNTIME is supported in console mode only!

#endif  // __CONSOLE__

#endif  // __LNFC_NSESSION_H

// EOF //
