//
//  adminrq_test.cpp  --  optional part of LNFC library
//
//  Testing sample for Admin_requests class
//
//  Written by Evseev at Jul 2001
//

#include "adminrq.h"

#include "nsession.h"


int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    if (argc == 1) {
        cout << "Optional usage: progname.exe [srcdb [destsrv]]" << endl;
    }

    Admin_requests adminrq;
    Database db(nSTR(argc > 1 ? argv[1] : "names.nsf"), Dont_open);

    adminrq->new_replica(db, nSTR(argc > 2 ? argv[2] : "SubSpace/UCVT/RU"));

    cout << adminrq->error_string("adminrq->new_replica") << endl;

    return 0;
}

// EOF //
