//
//  formula_test.cpp  --  appendinx part of LNFC library
//
//  Testing sample for class Formula and Database::foreach_matching()
//
//  Written by Evseev at Jun 2001
//

#include "formula.h"

#include "database.h"

//include "document.h"

#include "nsession.h"   //also includes fstream.h

__LNFC_NAMESPACE__

//#pragma argsused
int matching_routine(Document &, void *args)
{
    (*(int*)args)++;
    return 0;
}

int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    Database db(dbPATH "log");
    int counter = 0;
    db->foreach_matching(nSTR"Form = \"Events\"",
                         matching_routine,
                         &counter,
                         !Dont_open_docs);
    
    cout << db->error_string("Database state") << endl;
    cout << "Found " << counter << " docs." << endl;

    return 0;
}

// EOF
